#! Flux3D 12.0


try :

     # Geometrical parameters to non meshed coils creation
     ParameterGeom(name='COIL_RAD',
     
                   expression='1.885')

     #ParameterGeom(name='LSTK',
     #              expression='170.0')
     
     ParameterGeom(name='LEWS',
     
                   expression='21.85')
     
     
     ParameterGeom(name='RAD',
     
                   expression='106+0.5+2.75')
     
     
     ParameterGeom(name='RAD2',
                   expression='106+25')
     
     
     ParameterGeom(name='RAD_B',
     
                   expression='106+0.5+12.8')
     
     ParameterGeom(name='Z',
     
                   expression='72')
     
     
     
     ParameterGeom(name='TO',
     
                   expression='360/Z')
     
 

     # I/O parameters 
     VariationParameterPilot(name='LEND',
     
                             referenceValue=0.001570223)
     
     VariationParameterPilot(name='NS',
     
                             referenceValue=13)
     
     VariationParameterPilot(name='R1',
     
                             referenceValue=1E-4)
     
     
     #VariationParameterPilot(name='SLIP',
     
     #                        referenceValue=0.035)
     
     
     VariationParameterFormula(name='VRMS',
     
                               formula='400/Sqrt(3)')

     # Coordinate systems for non meshed coil creation
     CoordSysCylindrical(name='CYL_1',
     
                         parentCoordSys=Local(coordSys=CoordSys['XYZ1']),
     
                         origin=['0',
     
                                 '0',
     
                                 '0'],
     
                         rotationAngles=RotationAngles(angleX='0',
     
                                                       angleY='0',
     
                                                       angleZ='0'),
     
                         visibility=Visibility['VISIBLE'])
     
     
     CoordSysCylindrical(name='CYL_2',
     
                         parentCoordSys=Local(coordSys=CoordSys['XYZ1']),
     
                         origin=['0',
     
                                 '0',
     
                                 '0'],
     
                         rotationAngles=RotationAngles(angleX='0',
     
                                                       angleY='0',
     
                                                       angleZ='6*TO'),
     
                         visibility=Visibility['VISIBLE'])
     
     
     CoordSysCylindrical(name='CYL_3',
     
                         parentCoordSys=Local(coordSys=CoordSys['XYZ1']),
     
                         origin=['0',
     
                                 '0',
     
                                 '0'],
     
                         rotationAngles=RotationAngles(angleX='0',
     
                                                       angleY='0',
     
                                                       angleZ='12*TO'),
     
                         visibility=Visibility['VISIBLE'])
     
     


     # Non meshed coils
     
     ComposedCoil(name='COIL_1',
     
                  strandedCoil=CoilConductor['CIRC_COILCOND_1'],
     
                  turnNumber='NS',
     
                  seriesOrParallel=AllInSeries(),
     
                  coilDuplicationBySymmetriesPeriodicities=CoilDuplication(),
     
                  coordSys=CoordSys['CYL_1'],
     
                  coilPath=OpenPathCoil(coilPoints=[CoilPoint(coordinates=['RAD',
     
                                                                           'TO*0.5',
     
                                                                           '0'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           'TO*0.5',
     
                                                                           'LSTK'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           'TO*0.5',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD2',
     
                                                                           '5*TO',
     
                                                                           'LSTK+LEWS'],
     
                                                              radius='50'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '9.5*TO',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '9.5*TO',
     
                                                                           '0'],
     
                                                              radius='0')]),
     
                  section=DiscCoilSection(sectionRadius='COIL_RAD'),
     
                  mechanicalSet=MechanicalSet['STATOR'],
     
                  fillFactor='1',
     
                  resistivity='17E-9',
     
                  volumicMass='8960',
     
                  aspect=ASPECT['OPAQUE_MAT'],
     
                  color=Color['Red'],
     
                  visibility=Visibility['VISIBLE'])
     
     
     ComposedCoil(name='COIL_2',
     
                  strandedCoil=CoilConductor['CIRC_COILCOND_1'],
     
                  turnNumber='NS',
     
                  seriesOrParallel=AllInSeries(),
     
                  coilDuplicationBySymmetriesPeriodicities=CoilDuplication(),
     
                  coordSys=CoordSys['CYL_1'],
     
                  coilPath=OpenPathCoil(coilPoints=[CoilPoint(coordinates=['RAD',
     
                                                                           '1.5*TO',
     
                                                                           '0'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           '1.5*TO',
     
                                                                           'LSTK'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           '1.5*TO',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD2',
     
                                                                           '5*TO',
     
                                                                           'LSTK+LEWS-COIL_RAD*2'],
     
                                                              radius='40'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '8.5*TO',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '8.5*TO',
     
                                                                           '0'],
     
                                                              radius='0')]),
     
                  section=DiscCoilSection(sectionRadius='COIL_RAD'),
     
                  mechanicalSet=MechanicalSet['STATOR'],
     
                  fillFactor='1',
     
                  resistivity='17E-9',
     
                  volumicMass='8960',
     
                  aspect=ASPECT['OPAQUE_MAT'],
     
                  color=Color['Red'],
     
                  visibility=Visibility['VISIBLE'])
     
     
     ComposedCoil(name='COIL_3',
     
                  strandedCoil=CoilConductor['CIRC_COILCOND_1'],
     
                  turnNumber='NS',
     
                  seriesOrParallel=AllInSeries(),
     
                  coilDuplicationBySymmetriesPeriodicities=CoilDuplication(),
     
                  coordSys=CoordSys['CYL_1'],
     
                  coilPath=OpenPathCoil(coilPoints=[CoilPoint(coordinates=['RAD',
     
                                                                           '2.5*TO',
     
                                                                           '0'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           '2.5*TO',
     
                                                                           'LSTK'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           '2.5*TO',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD*2'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD2',
     
                                                                           '5*TO',
     
                                                                           'LSTK+LEWS-COIL_RAD*4'],
     
                                                              radius='30'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '7.5*TO',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD*2'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '7.5*TO',
     
                                                                           '0'],
     
                                                              radius='0')]),
     
                  section=DiscCoilSection(sectionRadius='COIL_RAD'),
     
                  mechanicalSet=MechanicalSet['STATOR'],
     
                  fillFactor='1',
     
                  resistivity='17E-9',
     
                  volumicMass='8960',
     
                  aspect=ASPECT['OPAQUE_MAT'],
     
                  color=Color['Red'],
     
                  visibility=Visibility['VISIBLE'])
     
     
     ComposedCoil(name='COIL_4',
     
                  strandedCoil=CoilConductor['CIRC_COILCOND_2'],
     
                  turnNumber='NS',
     
                  seriesOrParallel=AllInSeries(),
     
                  coilDuplicationBySymmetriesPeriodicities=CoilDuplication(),
     
                  coordSys=CoordSys['CYL_2'],
     
                  coilPath=OpenPathCoil(coilPoints=[CoilPoint(coordinates=['RAD',
     
                                                                           'TO*0.5',
     
                                                                           '0'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           'TO*0.5',
     
                                                                           'LSTK'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           'TO*0.5',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD2',
     
                                                                           '5*TO',
     
                                                                           'LSTK+LEWS'],
     
                                                              radius='50'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '9.5*TO',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '9.5*TO',
     
                                                                           '0'],
     
                                                              radius='0')]),
     
                  section=DiscCoilSection(sectionRadius='COIL_RAD'),
     
                  mechanicalSet=MechanicalSet['STATOR'],
     
                  fillFactor='1',
     
                  resistivity='17E-9',
     
                  volumicMass='8960',
     
                  aspect=ASPECT['OPAQUE_MAT'],
     
                  color=Color['Green'],
     
                  visibility=Visibility['VISIBLE'])
     
     
     ComposedCoil(name='COIL_5',
     
                  strandedCoil=CoilConductor['CIRC_COILCOND_2'],
     
                  turnNumber='NS',
     
                  seriesOrParallel=AllInSeries(),
     
                  coilDuplicationBySymmetriesPeriodicities=CoilDuplication(),
     
                  coordSys=CoordSys['CYL_2'],
     
                  coilPath=OpenPathCoil(coilPoints=[CoilPoint(coordinates=['RAD',
     
                                                                           '1.5*TO',
     
                                                                           '0'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           '1.5*TO',
     
                                                                           'LSTK'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           '1.5*TO',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD2',
     
                                                                           '5*TO',
     
                                                                           'LSTK+LEWS-COIL_RAD*2'],
     
                                                              radius='40'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '8.5*TO',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '8.5*TO',
     
                                                                           '0'],
     
                                                              radius='0')]),
     
                  section=DiscCoilSection(sectionRadius='COIL_RAD'),
     
                  mechanicalSet=MechanicalSet['STATOR'],
     
                  fillFactor='1',
     
                  resistivity='17E-9',
     
                  volumicMass='8960',
     
                  aspect=ASPECT['OPAQUE_MAT'],
     
                  color=Color['Green'],
     
                  visibility=Visibility['VISIBLE'])
     
     
     ComposedCoil(name='COIL_6',
     
                  strandedCoil=CoilConductor['CIRC_COILCOND_2'],
     
                  turnNumber='NS',
     
                  seriesOrParallel=AllInSeries(),
     
                  coilDuplicationBySymmetriesPeriodicities=CoilDuplication(),
     
                  coordSys=CoordSys['CYL_2'],
     
                  coilPath=OpenPathCoil(coilPoints=[CoilPoint(coordinates=['RAD',
     
                                                                           '2.5*TO',
     
                                                                           '0'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           '2.5*TO',
     
                                                                           'LSTK'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           '2.5*TO',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD*2'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD2',
     
                                                                           '5*TO',
     
                                                                           'LSTK+LEWS-COIL_RAD*4'],
     
                                                              radius='30'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '7.5*TO',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD*2'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '7.5*TO',
     
                                                                           '0'],
     
                                                              radius='0')]),
     
                  section=DiscCoilSection(sectionRadius='COIL_RAD'),
     
                  mechanicalSet=MechanicalSet['STATOR'],
     
                  fillFactor='1',
     
                  resistivity='17E-9',
     
                  volumicMass='8960',
     
                  aspect=ASPECT['OPAQUE_MAT'],
     
                  color=Color['Green'],
     
                  visibility=Visibility['VISIBLE'])
     
     
     ComposedCoil(name='COIL_7',
     
                  strandedCoil=CoilConductor['CIRC_COILCOND_3'],
     
                  turnNumber='NS',
     
                  seriesOrParallel=AllInSeries(),
     
                  coilDuplicationBySymmetriesPeriodicities=CoilDuplication(),
     
                  coordSys=CoordSys['CYL_3'],
     
                  coilPath=OpenPathCoil(coilPoints=[CoilPoint(coordinates=['RAD',
     
                                                                           'TO*0.5',
     
                                                                           '0'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           'TO*0.5',
     
                                                                           'LSTK'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           'TO*0.5',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD2',
     
                                                                           '5*TO',
     
                                                                           'LSTK+LEWS'],
     
                                                              radius='50'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '9.5*TO',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '9.5*TO',
     
                                                                           '0'],
     
                                                              radius='0')]),
     
                  section=DiscCoilSection(sectionRadius='COIL_RAD'),
     
                  mechanicalSet=MechanicalSet['STATOR'],
     
                  fillFactor='1',
     
                  resistivity='17E-9',
     
                  volumicMass='8960',
     
                  aspect=ASPECT['OPAQUE_MAT'],
     
                  color=Color['White'],
     
                  visibility=Visibility['VISIBLE'])
     
     
     ComposedCoil(name='COIL_8',
     
                  strandedCoil=CoilConductor['CIRC_COILCOND_3'],
     
                  turnNumber='NS',
     
                  seriesOrParallel=AllInSeries(),
     
                  coilDuplicationBySymmetriesPeriodicities=CoilDuplication(),
     
                  coordSys=CoordSys['CYL_3'],
     
                  coilPath=OpenPathCoil(coilPoints=[CoilPoint(coordinates=['RAD',
     
                                                                           '1.5*TO',
     
                                                                           '0'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           '1.5*TO',
     
                                                                           'LSTK'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           '1.5*TO',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD2',
     
                                                                           '5*TO',
     
                                                                           'LSTK+LEWS-COIL_RAD*2'],
     
                                                              radius='40'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '8.5*TO',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '8.5*TO',
     
                                                                           '0'],
     
                                                              radius='0')]),
     
                  section=DiscCoilSection(sectionRadius='COIL_RAD'),
     
                  mechanicalSet=MechanicalSet['STATOR'],
     
                  fillFactor='1',
     
                  resistivity='17E-9',
     
                  volumicMass='8960',
     
                  aspect=ASPECT['OPAQUE_MAT'],
     
                  color=Color['White'],
     
                  visibility=Visibility['VISIBLE'])
     
     
     ComposedCoil(name='COIL_9',
     
                  strandedCoil=CoilConductor['CIRC_COILCOND_3'],
     
                  turnNumber='NS',
     
                  seriesOrParallel=AllInSeries(),
     
                  coilDuplicationBySymmetriesPeriodicities=CoilDuplication(),
     
                  coordSys=CoordSys['CYL_3'],
     
                  coilPath=OpenPathCoil(coilPoints=[CoilPoint(coordinates=['RAD',
     
                                                                           '2.5*TO',
     
                                                                           '0'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           '2.5*TO',
     
                                                                           'LSTK'],
     
                                                              radius='0'),
     
                                                    CoilPoint(coordinates=['RAD',
     
                                                                           '2.5*TO',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD*2'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD2',
     
                                                                           '5*TO',
     
                                                                           'LSTK+LEWS-COIL_RAD*4'],
     
                                                              radius='30'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '7.5*TO',
     
                                                                           'LSTK+LEWS*0.5-COIL_RAD*2'],
     
                                                              radius='5'),
     
                                                    CoilPoint(coordinates=['RAD_B',
     
                                                                           '7.5*TO',
     
                                                                           '0'],
     
                                                              radius='0')]),
     
                  section=DiscCoilSection(sectionRadius='COIL_RAD'),
     
                  mechanicalSet=MechanicalSet['STATOR'],
     
                  fillFactor='1',
     
                  resistivity='17E-9',
     
                  volumicMass='8960',
     
                  aspect=ASPECT['OPAQUE_MAT'],
     
                  color=Color['White'],
     
                  visibility=Visibility['VISIBLE'])
     viewGeometry['MAINVIEW'].setProperties(properties=['Display/Coil=true'])


     print "***  successful end of python file createCoil_OK ***"

except :

   pass
   print "***  python file createCoil_OK is exiting in error ***"