#! Flux3D 19.1

# Start a new project
newProject()

GeomMeshOptions[1].methodAutomaticMeshVolume=OptimizeMeshGemsActivated(level=OptimizationStandard())

openModelerContext()

# Import the 2D project
lastInstance = Sketch(name='Sketch_1',
       referencePlane=ReferencePlane['XY_PLANE'])

Sketch[1].openContext()

importObjectInSketcherFromFlux(projectName='InductionMotor2D.FLU')

Sketch[1].closeContext()

# Create the 3D geometry with the modeler
lastInstance = Extrude(name='Extrude_1',
        coordSys=CoordSys['XYZ1'],
        faces=[Face[173],
               Face[172],
               Face[30],
               Face[12],
               Face[18],
               Face[24],
               Face[29],
               Face[17],
               Face[11],
               Face[23],
               Face[28],
               Face[16],
               Face[10],
               Face[27],
               Face[22],
               Face[9],
               Face[15],
               Face[26],
               Face[21],
               Face[20],
               Face[8],
               Face[14],
               Face[25],
               Face[7],
               Face[13],
               Face[19],
               Face[4],
               Face[5],
               Face[1],
               Face[3]],
        extrusionType=AlongVector(coordSys=CoordSys['COORDSYS_XY_PLANE'],
                                  vectorDirection=['0',
                                                   '0',
                                                   '1'],
                                  distanceType=Distance(firstDistance='LSTK',
                                                        secondDistance='0')),
        color=Color['Turquoise'],
        visibility=Visibility['VISIBLE'],
        sketch=Sketch['SKETCH_1'])

lastInstance = Sketch(name='SKETCH_2',
       referencePlane=ReferencePlane['ZX_PLANE'])

Sketch[2].openContext()

createGeometry(coordSystem=CoordSys['COORDSYS_ZX_PLANE'],
               idPoints=[484,485,486,487],
               coordinatesPoints=['53.2','97.51192938120218','0.0','71.8','97.51192938120218','0.0','71.8','83.01496801218978','0.0','53.2','83.01496801218978','0.0'],
               idLines=[810,811,812,813],
               typeLines=[1,1,1,1],
               pointsOfLines=[484,485,485,486,486,487,487,484])

Point[484].uvw=['LSTK',
                'RAD1-CAGE1_SETBACK*0.5',
                '0']


Point[485].uvw=['LSTK+ERTHK',
                'RAD1-CAGE1_SETBACK*0.5',
                '0']


Point[486].uvw=['LSTK+ERTHK',
                'RAD1-2*CAGE1_SETBACK-CAGE1_SD_R',
                '0']


Point[487].uvw=['LSTK',
                'RAD1-2*CAGE1_SETBACK-CAGE1_SD_R',
                '0']


Sketch[2].closeContext()

lastInstance = Extrude(name='Extrude_2',
        coordSys=CoordSys['XYZ1'],
        faces=[Face[359]],
        extrusionType=AroundAxis(axis=Line[806],
                                 angleType=Angle(firstAngle='360/PERIODICITY',
                                                 secondAngle='0')),
        color=Color['Turquoise'],
        visibility=Visibility['VISIBLE'],
        sketch=Sketch['SKETCH_2'])

lastInstance = BooleanAssembly(name='Assembly_1',
                coordSys=CoordSys['XYZ1'],
                blank=ModelerObject['OBJ_EXTRUDE_1'],
                tools=[ModelerObject['OBJ_EXTRUDE_2']],
                color=Color['Turquoise'],
                visibility=Visibility['VISIBLE'])

lastInstance = PrimitiveCylinder(name='Cylinder_1',
                  coordSys=CoordSys['XYZ1'],
                  center=CoordPoint(uvw=['0',
                                         '0',
                                         '0']),
                  radius='RAD1+0.5*GAP',
                  height='LSTK*1.3',
                  color=Color['Turquoise'],
                  visibility=Visibility['VISIBLE'])

lastInstance = ReferencePlaneAngle(name='ReferencePlane_1',
                    referencePlane=ReferencePlane['ZX_PLANE'],
                    axis=Line[806],
                    angle='360/PERIODICITY',
                    visibility=Visibility['VISIBLE'],
                    color=Color['Turquoise'])

result = ModelerObject['OBJ_CYLINDER_1'].createSectionByCutObject(cutPlane=ReferencePlane['REFERENCEPLANE_1'])

lastInstance = CutObject(name='CutObject_1',
          coordSys=CoordSys['XYZ1'],
          sections=[Section['SECTION_1']],
          color=Color['Turquoise'],
          visibility=Visibility['VISIBLE'])

ModelerObject['OBJ_CUTOBJECT_1_2'].deleteForce()
result = ModelerObject['OBJ_CUTOBJECT_1_1'].createSectionByCutObject(cutPlane=ReferencePlane['ZX_PLANE'])

lastInstance = CutObject(name='CutObject_2',
          coordSys=CoordSys['XYZ1'],
          sections=[Section['SECTION_1']],
          color=Color['Turquoise'],
          visibility=Visibility['VISIBLE'])

ModelerObject['OBJ_CUTOBJECT_2_2'].deleteForce()
lastInstance = BooleanAssembly(name='Assembly_2',
                coordSys=CoordSys['XYZ1'],
                blank=ModelerObject['OBJ_EXTRUDE_1'],
                tools=[ModelerObject['OBJ_CUTOBJECT_2_1']],
                color=Color['Turquoise'],
                visibility=Visibility['VISIBLE'])

lastInstance = Extrude(name='Extrude_3',
        coordSys=CoordSys['XYZ1'],
        faces=[Face[44],
               Face[48],
               Face[49],
               Face[50],
               Face[51],
               Face[52],
               Face[89],
               Face[90],
               Face[91],
               Face[92],
               Face[93],
               Face[94],
               Face[95],
               Face[96],
               Face[97],
               Face[98],
               Face[99],
               Face[100],
               Face[101],
               Face[102],
               Face[103],
               Face[104],
               Face[105],
               Face[106],
               Face[107],
               Face[108],
               Face[109],
               Face[110],
               Face[111],
               Face[112],
               Face[113],
               Face[114],
               Face[115],
               Face[116],
               Face[117],
               Face[118],
               Face[119],
               Face[120],
               Face[121],
               Face[122],
               Face[123],
               Face[124],
               Face[125],
               Face[126],
               Face[127],
               Face[128],
               Face[129],
               Face[130],
               Face[131],
               Face[132],
               Face[133],
               Face[134],
               Face[135],
               Face[136],
               Face[169]],
        extrusionType=AlongVector(coordSys=CoordSys['COORDSYS_XY_PLANE'],
                                  vectorDirection=['0',
                                                   '0',
                                                   '1'],
                                  distanceType=Distance(firstDistance='LSTK',
                                                        secondDistance='0')),
        color=Color['Turquoise'],
        visibility=Visibility['VISIBLE'],
        sketch=Sketch['SKETCH_1'])

closeModelerContext()

lastInstance = SymmetryXYplane(physicalType=SymmetryTangentMagFields(),
                position='0')

# Create the infinite box 
lastInstance = InfiniteBoxCylinderZ(size=['RAD3*1.1',
                           'RAD3*1.3',
                           'LSTK*1.7',
                           'LSTK*2'])

InfiniteBoxCylinderZ['InfiniteBoxCylinderZ'].complete3D(buildingOption='Volumes',
           coordSys=CoordSys['COORDSYS_XY_PLANE'],
           linkMesh='LinkMesh')

result = checkGeometry()

saveProjectAs('IM3D_GEOM.FLU')

# Mesh generation process
meshDomain()

checkMesh()

InfiniteBoxCylinderZ['InfiniteBoxCylinderZ'].setInvisible()

saveProjectAs('IM3D_GEOM_MESH.FLU')

