#! Flux3D 12.0

# Create a new Solving scenario
Scenario(name='TORQUE_VS_SLIP')

startMacroTransaction()

Scenario['TORQUE_VS_SLIP'].addPilot(pilot=MultiValues(parameter=VariationParameter['SLIP'],
                                                      intervals=[IntervalStepNumber(minValue=1.0E-4,
                                                                                    maxValue=0.035,
                                                                                    stepNumber=3),
                                                                 IntervalStepNumber(minValue=0.035,
                                                                                    maxValue=0.08,
                                                                                    stepNumber=3),
                                                                 IntervalStepNumber(minValue=0.08,
                                                                                    maxValue=0.3,
                                                                                    stepNumber=6),
                                                                 IntervalStepNumber(minValue=0.3,
                                                                                    maxValue=0.5,
                                                                                    stepNumber=5),
                                                                 IntervalStepNumber(minValue=0.5,
                                                                                    maxValue=1.0,
                                                                                    stepNumber=3)]))

endMacroTransaction()

startMacroTransaction()
SolvingOptions['SOLVING_OPTIONS'].parametersLinearSystemSolvers=ParametersLinearSystemSolvers(linearSystemSolverChoice=LinearSystemSolverAutomatic(),
                                                                                              parametersIccg=ParametersIccgAutomatic(),
                                                                                              parametersGmres=ParametersGmresAutomatic(),
                                                                                              parametersBicgstab=ParametersBicgstabAutomatic(),
                                                                                              parametersSuperlu=ParametersSuperluAutomatic(),
                                                                                              parametersMumps=ParametersMumpsAutomatic(),
                                                                                              parametersPardiso=ParametersPardisoAutomatic(),
                                                                                              parametersAutomaticScaling=ParametersAutomaticScalingAutomatic(),
                                                                                              userSubroutineLinearSolverParameters=ParametersLinearSolverByUserSubroutine(),
                                                                                              preLinearSolverChoice=PreLinearSolverAutomatic())

SolvingOptions['SOLVING_OPTIONS'].newtonRaphsonParameters=ParametersNewtonRaphson(precision=0.001,
                                                                                  maximumIterationNumber=100,
                                                                                  stopSolve='stopTransientSolving',
                                                                                  relaxationFactorComputationMethod=ParametersNewtonRaphsonRelaxationFactorComputationMethodAutomatic())

endMacroTransaction()

saveProject()

# solving
Scenario['TORQUE_VS_SLIP'].solve(projectName='IM3D_PHYSICS_SOLVED.FLU')
